IMHO, I'm not positive to patch it to 1.8.7 or 1.9.2, because these 2 versions will be unsupported soon.


--  
Ayumu AIZAWA
Sent with Sparrow (http://www.sparrowmailapp.com)


ヤ鐚012年5月3日木曜日、時刻:2:25、差出人:tenderlovemaking (Aaron Patterson):

>  
> Issue #3344 has been updated by tenderlovemaking (Aaron Patterson).
>  
> Description updated
>  
> What do you think about backporting these to 1.8.7 and 1.9.2? There are two backport tickets open for this:
>  
> http://bugs.ruby-lang.org/issues/6300
>  
> http://bugs.ruby-lang.org/issues/6299
>  
> ----------------------------------------
> Feature #3344: supporting rfc 5789 - http patch verb
> https://bugs.ruby-lang.org/issues/3344#change-26387
>  
> Author: guilherme.silveira (Guilherme Silveira)
> Status: Closed
> Priority: Normal
> Assignee:  
> Category:  
> Target version:  
>  
>  
> =begin
> I am sending a patch and Changelog file for trunk (should be the same
> patch for 1.8) supporting the PATCH verb defined on the approved RFC
> 5789. Here is the link for such RFC:
>  
> http://tools.ietf.org/html/rfc5789
>  
> Patch should be used to partially update resources over the web using
> a media type that gives enough information for such procedure.
>  
> The patch adds a new PATCH class, similar to POST. It also defines a
> patch method to Net::HTTP instance. Finally, the code from post was
> refactored out into a send_entity method, because patch and post
> tunneling behavior are the same, with the only difference on which
> http method being used.
>  
> Regards
> =end
>  
>  
>  
> --  
> http://bugs.ruby-lang.org/